type StartEvent = {
    readonly type: 'start';
    readonly scope: string;
};
type EndEvent = {
    readonly type: 'end';
    readonly scope: string;
};
type TokenEvent = {
    readonly type: 'token';
    readonly scopes: readonly string[];
    readonly text: string;
};
type LineEvent = {
    readonly type: 'line';
};
type Event = StartEvent | EndEvent | TokenEvent | LineEvent;
declare const tokenize: (source: string, lang: string) => Promise<Iterable<Event> | null>;
export { StartEvent, EndEvent, TokenEvent, LineEvent, Event, tokenize };
