var jsonnet_tmLanguage = "{\n  \"$schema\": \"https://raw.githubusercontent.com/martinring/tmlanguage/master/tmlanguage.json\",\n  \"name\": \"Jsonnet\",\n  \"patterns\": [\n    {\n      \"include\": \"#expression\"\n    },\n    {\n      \"include\": \"#keywords\"\n    }\n  ],\n  \"repository\": {\n    \"builtin-functions\": {\n      \"patterns\": [\n        {\n          \"match\": \"\\\\bstd[.](acos|asin|atan|ceil|char|codepoint|cos|exp|exponent)\\\\b\",\n          \"name\": \"support.function.jsonnet\"\n        },\n        {\n          \"match\": \"\\\\bstd[.](filter|floor|force|length|log|makeArray|mantissa)\\\\b\",\n          \"name\": \"support.function.jsonnet\"\n        },\n        {\n          \"match\": \"\\\\bstd[.](objectFields|objectHas|pow|sin|sqrt|tan|type|thisFile)\\\\b\",\n          \"name\": \"support.function.jsonnet\"\n        },\n        {\n          \"match\": \"\\\\bstd[.](acos|asin|atan|ceil|char|codepoint|cos|exp|exponent)\\\\b\",\n          \"name\": \"support.function.jsonnet\"\n        },\n        {\n          \"match\": \"\\\\bstd[.](abs|assertEqual|escapeString(Bash|Dollars|Json|Python))\\\\b\",\n          \"name\": \"support.function.jsonnet\"\n        },\n        {\n          \"match\": \"\\\\bstd[.](filterMap|flattenArrays|foldl|foldr|format|join)\\\\b\",\n          \"name\": \"support.function.jsonnet\"\n        },\n        {\n          \"match\": \"\\\\bstd[.](lines|manifest(Ini|Python(Vars)?)|map|max|min|mod)\\\\b\",\n          \"name\": \"support.function.jsonnet\"\n        },\n        {\n          \"match\": \"\\\\bstd[.](set|set(Diff|Inter|Member|Union)|sort)\\\\b\",\n          \"name\": \"support.function.jsonnet\"\n        },\n        {\n          \"match\": \"\\\\bstd[.](range|split|stringChars|substr|toString|uniq)\\\\b\",\n          \"name\": \"support.function.jsonnet\"\n        }\n      ]\n    },\n    \"comment\": {\n      \"patterns\": [\n        {\n          \"begin\": \"/\\\\*\",\n          \"end\": \"\\\\*/\",\n          \"name\": \"comment.block.jsonnet\"\n        },\n        {\n          \"match\": \"//.*$\",\n          \"name\": \"comment.line.jsonnet\"\n        },\n        {\n          \"match\": \"#.*$\",\n          \"name\": \"comment.block.jsonnet\"\n        }\n      ]\n    },\n    \"double-quoted-strings\": {\n      \"begin\": \"\\\"\",\n      \"end\": \"\\\"\",\n      \"name\": \"string.quoted.double.jsonnet\",\n      \"patterns\": [\n        {\n          \"match\": \"\\\\\\\\([\\\"\\\\\\\\/bfnrt]|(u[0-9a-fA-F]{4}))\",\n          \"name\": \"constant.character.escape.jsonnet\"\n        },\n        {\n          \"match\": \"\\\\\\\\[^\\\"\\\\\\\\/bfnrtu]\",\n          \"name\": \"invalid.illegal.jsonnet\"\n        }\n      ]\n    },\n    \"expression\": {\n      \"patterns\": [\n        {\n          \"include\": \"#literals\"\n        },\n        {\n          \"include\": \"#comment\"\n        },\n        {\n          \"include\": \"#single-quoted-strings\"\n        },\n        {\n          \"include\": \"#double-quoted-strings\"\n        },\n        {\n          \"include\": \"#triple-quoted-strings\"\n        },\n        {\n          \"include\": \"#builtin-functions\"\n        },\n        {\n          \"include\": \"#functions\"\n        }\n      ]\n    },\n    \"functions\": {\n      \"patterns\": [\n        {\n          \"begin\": \"\\\\b([a-zA-Z_][a-z0-9A-Z_]*)\\\\s*\\\\(\",\n          \"beginCaptures\": {\n            \"1\": {\n              \"name\": \"entity.name.function.jsonnet\"\n            }\n          },\n          \"end\": \"\\\\)\",\n          \"name\": \"meta.function\",\n          \"patterns\": [\n            {\n              \"include\": \"#expression\"\n            }\n          ]\n        }\n      ]\n    },\n    \"keywords\": {\n      \"patterns\": [\n        {\n          \"match\": \"[!:~\\\\+\\\\-&\\\\|\\\\^=<>\\\\*\\\\/%]\",\n          \"name\": \"keyword.operator.jsonnet\"\n        },\n        {\n          \"match\": \"\\\\$\",\n          \"name\": \"keyword.other.jsonnet\"\n        },\n        {\n          \"match\": \"\\\\b(self|super|import|importstr|local|tailstrict)\\\\b\",\n          \"name\": \"keyword.other.jsonnet\"\n        },\n        {\n          \"match\": \"\\\\b(if|then|else|for|in|error|assert)\\\\b\",\n          \"name\": \"keyword.control.jsonnet\"\n        },\n        {\n          \"match\": \"\\\\b(function)\\\\b\",\n          \"name\": \"storage.type.jsonnet\"\n        },\n        {\n          \"match\": \"[a-zA-Z_][a-z0-9A-Z_]*\\\\s*(:::|\\\\+:::)\",\n          \"name\": \"variable.parameter.jsonnet\"\n        },\n        {\n          \"match\": \"[a-zA-Z_][a-z0-9A-Z_]*\\\\s*(::|\\\\+::)\",\n          \"name\": \"entity.name.type\"\n        },\n        {\n          \"match\": \"[a-zA-Z_][a-z0-9A-Z_]*\\\\s*(:|\\\\+:)\",\n          \"name\": \"variable.parameter.jsonnet\"\n        }\n      ]\n    },\n    \"literals\": {\n      \"patterns\": [\n        {\n          \"match\": \"\\\\b(true|false|null)\\\\b\",\n          \"name\": \"constant.language.jsonnet\"\n        },\n        {\n          \"match\": \"\\\\b(\\\\d+([Ee][+-]?\\\\d+)?)\\\\b\",\n          \"name\": \"constant.numeric.jsonnet\"\n        },\n        {\n          \"match\": \"\\\\b\\\\d+[.]\\\\d*([Ee][+-]?\\\\d+)?\\\\b\",\n          \"name\": \"constant.numeric.jsonnet\"\n        },\n        {\n          \"match\": \"\\\\b[.]\\\\d+([Ee][+-]?\\\\d+)?\\\\b\",\n          \"name\": \"constant.numeric.jsonnet\"\n        }\n      ]\n    },\n    \"single-quoted-strings\": {\n      \"begin\": \"'\",\n      \"end\": \"'\",\n      \"name\": \"string.quoted.double.jsonnet\",\n      \"patterns\": [\n        {\n          \"match\": \"\\\\\\\\(['\\\\\\\\/bfnrt]|(u[0-9a-fA-F]{4}))\",\n          \"name\": \"constant.character.escape.jsonnet\"\n        },\n        {\n          \"match\": \"\\\\\\\\[^'\\\\\\\\/bfnrtu]\",\n          \"name\": \"invalid.illegal.jsonnet\"\n        }\n      ]\n    },\n    \"triple-quoted-strings\": {\n      \"patterns\": [\n        {\n          \"begin\": \"\\\\|\\\\|\\\\|\",\n          \"end\": \"\\\\|\\\\|\\\\|\",\n          \"name\": \"string.quoted.triple.jsonnet\"\n        }\n      ]\n    }\n  },\n  \"scopeName\": \"source.jsonnet\"\n}\n";

export { jsonnet_tmLanguage as default };
